Package com.emc.d2fs.services.x3config_service

# Class GetUserLastSpacesResponse

java.lang.Object
com.emc.d2fs.services.x3config_service.GetUserLastSpacesResponse

All Implemented Interfaces:
  `Serializable`

public class GetUserLastSpacesResponse extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="spaceXmlContent" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="lastUsedSpace" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="lastUsedObject" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetUserLastSpacesResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLastUsedObject()`
  Gets the value of the lastUsedObject property.
  `String`
  `getLastUsedSpace()`
  Gets the value of the lastUsedSpace property.
  `List<String>`
  `getSpaceXmlContent()`
  Gets the value of the spaceXmlContent property.
  `void`
  `setLastUsedObject(String value)`
  Sets the value of the lastUsedObject property.
  `void`
  `setLastUsedSpace(String value)`
  Sets the value of the lastUsedSpace property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetUserLastSpacesResponse

    public GetUserLastSpacesResponse()

- ## Method Details

  - ### getSpaceXmlContent

    public List<String> getSpaceXmlContent()
    Gets the value of the spaceXmlContent property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the spaceXmlContent property.

    For example, to add a new item, do as follows:

            getSpaceXmlContent().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getLastUsedSpace

    public String getLastUsedSpace()
    Gets the value of the lastUsedSpace property.
    Returns:
      possible object is `String`

  - ### setLastUsedSpace

    public void setLastUsedSpace(String value)
    Sets the value of the lastUsedSpace property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLastUsedObject

    public String getLastUsedObject()
    Gets the value of the lastUsedObject property.
    Returns:
      possible object is `String`

  - ### setLastUsedObject

    public void setLastUsedObject(String value)
    Sets the value of the lastUsedObject property.
    Parameters:
      `value` - allowed object is `String`